package com.rjconsultores.ventaboletos.vo.OrgaoConcedente;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.utilerias.MoneyHelper;

public class RelatorioGratuidadeAgepanVO {

	private String numBpe;
	private Date fechorventa;
	private Integer origenId;
	private Integer puntoventaId;
	private String origem;
	private String destino;
	private String dhemb;
	private String nombpasajero;
	private String desctipodoc;
	private String descnumdoc;
	private String desctipodoc2;
	private String descnumdoc2;
	private String corridaextra;
	private String tiposervicobpe;
	private Date fechorviaje;
	private String prefixo;
	private String numasiento;
	private BigDecimal totalbilhete;
	private BigDecimal totalbase;
	private String descontobpe;
	private String chbpe;

	public String getNumBpe() {
		return numBpe;
	}

	public void setNumBpe(String numBpe) {
		this.numBpe = numBpe;
	}

	public Date getFechorventa() {
		return fechorventa;
	}

	public void setFechorventa(Date fechorventa) {
		this.fechorventa = fechorventa;
	}

	public Integer getOrigenId() {
		return origenId;
	}

	public void setOrigenId(Integer origenId) {
		this.origenId = origenId;
	}

	public Integer getPuntoventaId() {
		return puntoventaId;
	}

	public void setPuntoventaId(Integer puntoventaId) {
		this.puntoventaId = puntoventaId;
	}

	public String getOrigem() {
		return origem;
	}

	public void setOrigem(String origem) {
		this.origem = origem;
	}

	public String getDestino() {
		return destino;
	}

	public void setDestino(String destino) {
		this.destino = destino;
	}

	public String getDhemb() {
		return dhemb;
	}

	public void setDhemb(String dhemb) {
		this.dhemb = dhemb;
	}

	public String getNombpasajero() {
		return nombpasajero;
	}

	public void setNombpasajero(String nombpasajero) {
		this.nombpasajero = nombpasajero;
	}

	public String getDesctipodoc() {
		return desctipodoc;
	}

	public void setDesctipodoc(String desctipodoc) {
		this.desctipodoc = desctipodoc;
	}

	public String getDescnumdoc() {
		return descnumdoc;
	}

	public void setDescnumdoc(String descnumdoc) {
		this.descnumdoc = descnumdoc;
	}

	public String getDesctipodoc2() {
		return desctipodoc2;
	}

	public void setDesctipodoc2(String desctipodoc2) {
		this.desctipodoc2 = desctipodoc2;
	}

	public String getDescnumdoc2() {
		return descnumdoc2;
	}

	public void setDescnumdoc2(String descnumdoc2) {
		this.descnumdoc2 = descnumdoc2;
	}

	public String getCorridaextra() {
		return corridaextra;
	}

	public void setCorridaextra(String corridaextra) {
		this.corridaextra = corridaextra;
	}

	public String getTiposervicobpe() {
		return tiposervicobpe;
	}

	public void setTiposervicobpe(String tiposervicobpe) {
		this.tiposervicobpe = tiposervicobpe;
	}

	public Date getFechorviaje() {
		return fechorviaje;
	}

	public void setFechorviaje(Date fechorviaje) {
		this.fechorviaje = fechorviaje;
	}

	public String getPrefixo() {
		return prefixo;
	}

	public void setPrefixo(String prefixo) {
		this.prefixo = prefixo;
	}

	public String getNumasiento() {
		return numasiento;
	}

	public void setNumasiento(String numasiento) {
		this.numasiento = numasiento;
	}

	public BigDecimal getTotalbilhete() {
		return totalbilhete;
	}

	public void setTotalbilhete(BigDecimal totalbilhete) {
		this.totalbilhete = totalbilhete;
	}

	public BigDecimal getTotalbase() {
		return totalbase;
	}

	public void setTotalbase(BigDecimal totalbase) {
		this.totalbase = totalbase;
	}

	public String getDescontobpe() {
		return descontobpe;
	}

	public void setDescontobpe(String descontobpe) {
		this.descontobpe = descontobpe;
	}

	public String getChbpe() {
		return chbpe;
	}

	public void setChbpe(String chbpe) {
		this.chbpe = chbpe;
	}
	
	public BigDecimal getDesconto() {
		return MoneyHelper.subtrair(getTotalbase(), getTotalbilhete());
	}

}
